[package]
name = "sdk_tests"
version.workspace = true
edition.workspace = true

license.workspace = true
description.workspace = true
homepage.workspace = true
repository.workspace = true
documentation.workspace = true

[lib]

[dependencies]
derive_commons = { path = "../derive_commons" }
pbc_traits = { path = "../pbc_traits" }
create_type_spec_derive = { path = "../create_type_spec_derive" }
pbc_contract_common = { path = "../pbc_contract_common" }
pbc_contract_codegen = { path = "../pbc_contract_codegen" }
pbc_contract_core = { path = "../pbc_contract_core", features = ["abi"] }
read_write_rpc_derive = { path = "../read_write_rpc_derive" }
read_write_state_derive = { path = "../read_write_state_derive" }
pbc_lib = { path = "../pbc_lib" }
pbc_zk = { path = "../pbc_zk" }

[dev-dependencies]
syn = { workspace = true }
quote = { workspace = true }
proc-macro2 = { workspace = true }
proptest = "1.4.0"
trybuild = "1.0.91"
pbc_contract_common = { path = "../pbc_contract_common", features = ["test_examples"] }

[features]
test_lib = []
abi = ["pbc_contract_common/abi", "pbc_contract_codegen/abi", "pbc_contract_core/abi", "pbc_traits/abi", "create_type_spec_derive/abi", "pbc_lib/abi", "pbc_zk/abi"]
